SPLIT(1)

BEZEICHNUNG
split - Eine Datei in Stücke teilen

ÜBERSICHT
split [OPTION]… [EINGABE [PRÄFIX]]

BESCHREIBUNG

Stücke fester Größe der EINGABE als PRÄFIXaa, PRÄFIXab, … ausgeben; Vorgaben sind für die Größe 1000 Zeilen und für PRÄFIX »x«.

liest ohne DATEI oder wenn DATEI - ist, aus der Standardeingabe.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --suffix-length=N
    Endungen der Länge N erzeugen (Vorgabe 2)

--additional-suffix=ENDUNG
    Eine zusätzliche ENDUNG an die Dateinamen anhängen.

-b, --bytes=GRÖSSE
    Jeweils GRÖSSE Byte pro Ausgabedatei schreiben

-C, --line-bytes=GRÖSSE
    Höchstens GRÖSSE Byte an Datensätzen pro Ausgabedatei schreiben

-d  numerische Suffixe beginnend mit 0 verwenden, nicht alphabetisch

-d, --numeric-suffixes[=ANFANG]
    gleichbedeutend mit -d, aber der Startwert kann gesetzt werden

-x  hexadezimale Suffixe beginnend mit 0 verwenden, nicht alphabetisch

--hex-suffixes[=ANFANG]
    gleichbedeutend mit -x, aber der Startwert kann gesetzt werden

-e, --elide-empty-files
    Mit »-n« keine leeren Ausgabedateien erstellen

--filter=BEFEHL
    BEFEHL in die Shell schreiben; Dateiname ist $FILE

-l, --lines=ZAHL
    ZAHL Zeilen/Datensätze pro Ausgabedatei schreiben

-n, --number=TEILE
    Erstellen von TEILE Ausgabedateien. Siehe unten.

-s, --separator=ZEICHENKETTE
    ZEICHENKETTE anstelle eines Zeilenumbruchs als Trenner für Datensätze verwenden, '\0' gibt ein Nullbyte (NUL) an

-u, --unbuffered
    Die Eingabe mit »-n r/…« sofort zur Ausgabe kopieren

--verbose
    Vor dem Öffnen jeder Ausgabedatei eine Meldung ausgeben

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

GRÖSSE ist eine Ganzzahl und optionale Einheit (Beispiel: 10K ist 10*1024). Einheiten sind K, M, G, T, P, E, Z, Y, R, Q (Potenzen von 1024) oder KB, MB, … (Potenzen von 1000). Es können auch binäre Präfixe verwandt werden: KiB=K, MiB=M und so weiter.

  TEILE können sein:

N   in N Dateien teilen, basierend auf der Größe der Eingabe

K/N das K-te von N in die Standardausgabe ausgeben

l/N in N Dateien teilen, ohne Zeilen oder Datensätze zu teilen

l/K/N
    das K-te von N in die Standardausgabe ausgeben, ohne Zeilen oder Datensätze zu teilen

r/N wie »l«, aber Rundlaufverfahren anwenden

r/K/N
    wie oben, aber nur das K-te von N in die Standardausgabe ausgeben

AUTOR
Geschrieben von Torbjörn Granlund und Richard M. Stallman.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/split>
oder lokal verfügbar mit: info '(coreutils) split invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).